<?
if(isset($_GET['myfarm']) && isset($_GET['cultivator']) && intval($_GET['cultivator'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id` = '".intval($_GET['cultivator'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '0'"),0)!=0)
{
$ground=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id` = '".intval($_GET['cultivator'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0'  AND `cultivator` = '0'"));
$rat = cr($ku['level']);
$rat_cultivator_act=0;
if(isset($cultivator_act))$rat_cultivator_act=(($rat/100)*$cultivator_act);
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$rat=double_exp(base_exp($rat)+$rat_cultivator_act);
mysql_query("UPDATE `kolhoz_ground` SET `cultivator` = '1' WHERE `id` = '".intval($_GET['cultivator'])."' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
header("Location:/myfarm/".passgen());
exit;
}
?>